if [ -x /usr/bin/update-mime-database ]; then
  /usr/bin/update-mime-database /usr/share/mime &> /dev/null
fi

if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi

if [ -e usr/share/glib-2.0/schemas ]; then
  if [ -x /usr/bin/glib-compile-schemas ]; then
    /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
  fi
fi
( cd usr/lib64 ; rm -rf libmalcontent-0.so )
( cd usr/lib64 ; ln -sf libmalcontent-0.so.0 libmalcontent-0.so )
( cd usr/lib64 ; rm -rf libmalcontent-0.so.0 )
( cd usr/lib64 ; ln -sf libmalcontent-0.so.0.11.0 libmalcontent-0.so.0 )
( cd usr/lib64 ; rm -rf libmalcontent-ui-1.so )
( cd usr/lib64 ; ln -sf libmalcontent-ui-1.so.1 libmalcontent-ui-1.so )
( cd usr/lib64 ; rm -rf libmalcontent-ui-1.so.1 )
( cd usr/lib64 ; ln -sf libmalcontent-ui-1.so.0.11.0 libmalcontent-ui-1.so.1 )
( cd usr/share/accountsservice/interfaces ; rm -rf com.endlessm.ParentalControls.AccountInfo.xml )
( cd usr/share/accountsservice/interfaces ; ln -sf ../../dbus-1/interfaces/com.endlessm.ParentalControls.AccountInfo.xml com.endlessm.ParentalControls.AccountInfo.xml )
( cd usr/share/accountsservice/interfaces ; rm -rf com.endlessm.ParentalControls.AppFilter.xml )
( cd usr/share/accountsservice/interfaces ; ln -sf ../../dbus-1/interfaces/com.endlessm.ParentalControls.AppFilter.xml com.endlessm.ParentalControls.AppFilter.xml )
( cd usr/share/accountsservice/interfaces ; rm -rf com.endlessm.ParentalControls.SessionLimits.xml )
( cd usr/share/accountsservice/interfaces ; ln -sf ../../dbus-1/interfaces/com.endlessm.ParentalControls.SessionLimits.xml com.endlessm.ParentalControls.SessionLimits.xml )
